<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<ng-container *ngLet="initializing$ | async as initializing">
  <app-table-skeleton *ngIf="initializing"> </app-table-skeleton>
  <ng-container *ngIf="!initializing">
    <ng-container *ngLet="users$ | async as users">
      <p-table *ngIf="users" [value]="users" styleClass="p-datatable-striped" [scrollable]="true" scrollHeight="calc(100dvh - 340px)">
        <ng-template pTemplate="header">
          <tr>
            <th>User</th>
            <th>Roles</th>
            <th></th>
          </tr>
        </ng-template>
        <ng-template pTemplate="body" let-user>
          <tr>
            <td style="width: 400px">
              <div class="flex items-center gap-4">
                <app-type-icon [size]="44" icon="fa fa-user" color="#384570"></app-type-icon>
                <div class="flex flex-col">
                  <div class="flex items-center gap-2">
                    <div class="font-semibold">{{ user.givenName }} {{ user.familyName }}</div>
                    <div *ngIf="myUser(user)" class="text-text-300">(Current user)</div>
                  </div>
                  <div>{{ user.email }}</div>
                  <div *ngIf="user.occupation" class="font-normal">{{ user.occupation }}</div>
                </div>
              </div>
            </td>
            <td style="width: 280px">
              <div class="flex flex-col gap-0.5">
                <p-tag *ngFor="let item of user.roles" [value]="item"></p-tag>
              </div>
            </td>
            <td>
              <app-active-options [user]="user"></app-active-options>
            </td>
          </tr>
        </ng-template>
      </p-table>
    </ng-container>
  </ng-container>
</ng-container>
